GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::PixmapToPixmapFilter Class Reference

PixmapToPixmapFilter class Super class for all filter taking an image and producing an output image. More...

`#include <gdcmPixmapToPixmapFilter.h>`

Inheritance diagram for gdcm::PixmapToPixmapFilter:
[legend]
Collaboration diagram for gdcm::PixmapToPixmapFilter:
[legend]

List of all members.

## Public Member Functions

| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.

## Detailed Description

PixmapToPixmapFilter class Super class for all filter taking an image and producing an output image.

## Constructor & Destructor Documentation

gdcm::PixmapToPixmapFilter::PixmapToPixmapFilter | ( |  | ) |

gdcm::PixmapToPixmapFilter::~PixmapToPixmapFilter | ( |  | ) | `[inline]`

## Member Function Documentation

Pixmap& gdcm::PixmapToPixmapFilter::GetInput | ( |  | ) |

Reimplemented in gdcm::ImageToImageFilter.

const Pixmap& gdcm::PixmapToPixmapFilter::GetOutput | ( |  | ) | const

Get Output image.

Reimplemented from gdcm::BitmapToBitmapFilter.

Reimplemented in gdcm::ImageToImageFilter.

The documentation for this class was generated from the following file:

- gdcmPixmapToPixmapFilter.h